<template>
  <div class="pd10" >
    <el-row :gutter="10">
      <el-col :span="10" :xs="24">
        <menus @menuClick="menuClick" @resetPermission="resetPermission"></menus>
      </el-col>
      <el-col :span="14" :xs="24">
        <permission ref="permission"></permission>
      </el-col>
    </el-row>
  </div>
</template>

<script>
import Menus from './components/Menu'
import Permission from './components/Permission'

export default {
  name: "menumanagement",
  components: {Menus, Permission},
  data() {
    return {

    }
  },
  methods: {
    menuClick(row) {
      this.$refs.permission.menuClick(row)
    },
    resetPermission() {
      this.menuName = undefined
      this.$refs.permission.resetPermission()
    }
  }
}
</script>


<style lang="less" scoped>
@import url("../../../../styles/comStyle.less");
</style>

